import { IField } from './IField';
import { IFieldBuilderComponent } from './IFieldBuilder';
import { IFieldOptionEditorComponent } from './IFieldOptionEditor';
import { IFieldInputComponent } from './IFieldInput';
import { IFieldDisplayComponent } from './IFieldDisplay';
export interface IFieldDef {
    type: string;
    displayName: string;
    field: IField;
    builder: IFieldBuilderComponent;
    input: IFieldInputComponent;
    display: IFieldDisplayComponent;
    editor?: IFieldOptionEditorComponent;
}
export declare class FieldRegistry {
    [type: string]: IFieldDef | any;
    register(field: IFieldDef): void;
    getFields(): IFieldDef[];
}
